Init()
{
	clanTags = getcvar("vWorld_ClanTags");
	clanTeam = getcvar("vWorld_ClanTeam");
	serverName = getcvar("vWorld_ServerName");
	oldServerName = getcvar("vWorld_OldServerName");
	if (clanTags != "" && clanTeam != "") {
		if (oldServerName == "") {setCvar("vWorld_OldServerName", getcvar("sv_hostname"));}
		if (serverName != "") {setCvar("sv_hostname", serverName);}	
		setCvar("scr_teambalance", "0");
		v_world();
	} else {
		if (oldServerName != "") {setCvar("sv_hostname", oldServerName);}
		setCvar("scr_teambalance", "0");
		setCvar("vWorld_OldServerName", "");	
	}
}

v_world()
{
	clanTags = getcvar("vWorld_ClanTags");
	clanTeam = getcvar("vWorld_ClanTeam");
	publicTeam = "";
	if (clanTeam == "axis") {publicTeam = "allies";} else {publicTeam = "axis";}
	clanTagsColour = getcvar("vWorld_ClanTagsColour");
	if (clanTagsColour == "") {clanTagsColour = clanTags;}
	self endon("disconnect");
	if(!isClan()) self iprintlnbold("^7This is a " + clanTagsColour + "^4 v The World^7 match. " + clanTagsColour + "^7 are " + clanTeam);
	if(isClan()) self iprintlnbold(clanTagsColour + "^4 v World^7 is ^1Live^7.");
	if(!isClan() && self.pers["team"] == clanTeam) self iprintlnbold("^1YOU MUST JOIN " + publicTeam + "!!");
	if(!isClan() && self.pers["team"] == publicTeam) self iprintlnbold("Good luck player... your gonna need it.");
	if(isClan() && self.pers["team"] == publicTeam) self iprintlnbold("so get your ass back onto " + clanTeam);
	/*---------------------------------------------------------------------
	 If player is not in clan and player not on allies then change team
	---------------------------------------------------------------------*/
	if(!isClan() && self.pers["team"] == clanTeam)
	{
		self changeTeam();
	}		
}

changeTeam()
{
	/*---------------------------------------------------------------------
	 Suicide player and move player to spectate then show team selection menu
	---------------------------------------------------------------------*/
	if (self.sessionstate != "dead")
	{
		self.switching_teams = true;
		self.joining_team = "spectate";
		self.leaving_team = self.pers["team"];
		self suicide();
	}
	self.pers["team"] = "spectate";
	self.pers["weapon"] = undefined;
	self.pers["weapon1"] = undefined;
	self.pers["weapon2"] = undefined;
	self.pers["spawnweapon"] = undefined;
	self.pers["savedmodel"] = undefined;
	self.sessionteam = self.pers["team"];
	self maps\mp\gametypes\_spectating::setSpectatePermissions();
	self setClientCvar("ui_allow_weaponchange", "1");
	self openMenu(game["menu_team"]);	
	self notify("end_respawn");
}

isClan()
{
	/*---------------------------------------------------------------------
	 Checks player name for clan tags, ignoring color escapes.
	 Returns boolean true if match or clanTags empty, false if no match.
	---------------------------------------------------------------------*/
	tags = getcvar("vWorld_ClanTags");
	if(tags == "")
		return true;
	name = self.name;
	if(name.size < tags.size)
		return false;
	n = 0;
	for(t = 0; t < tags.size; t++)
	{
		if(name[n] == "^")
		{
			while(name[n] == "^")
				n++;
			n++;
		}
		if(name[n] == tags[t])
			n++;
		else
			return false;
	}
	return true;
}